package com.zd.airbottle.domain.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.zd.common.core.annotation.Excel;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * 气瓶入库对象 qp_bottle_storage
 * 
 * @author zd
 * @date 2022-05-19
 */
@ApiModel("气瓶入库导出Excel")
public class QpBottleStorageExcelVo
{
    private static final long serialVersionUID = 1L;

    /** 操作人 */
    @Excel(name = "操作人")
    @ApiModelProperty(value = "操作人")
    private String storageUser;

    /** 联系方式 */
    @Excel(name = "联系方式")
    @ApiModelProperty(value = "联系方式")
    private String phone;

    /** 实验地点 */
    @Excel(name = "实验地点")
    @ApiModelProperty(value = "实验地点")
    private String location;

    /** 气体名称 */
    @Excel(name = "气体名称")
    @ApiModelProperty(value = "气体名称")
    private String airName;

    /** 气瓶级别/规格 */
    @Excel(name = "气瓶级别/规格")
    @ApiModelProperty(value = "气瓶级别/规格")
    private String bottleSpecification;

    /** 气瓶厂家 */
    @Excel(name = "气瓶厂家")
    @ApiModelProperty(value = "气瓶厂家")
    private String companyName;

    /** 入库时间 */
    @Excel(name = "入库时间")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @ApiModelProperty(value = "入库时间")
    private String createTime;

    public String getStorageUser() {
        return storageUser;
    }

    public void setStorageUser(String storageUser) {
        this.storageUser = storageUser;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }

    public String getAirName(String airName) {        return this.airName;    }

    public void setAirName(String airName) {
        this.airName = airName;
    }

    public String getBottleSpecification() {
        return bottleSpecification;
    }

    public void setBottleSpecification(String bottleSpecification) {
        this.bottleSpecification = bottleSpecification;
    }

    public String getCompanyName() {
        return companyName;
    }

    public void setCompanyName(String companyName) {
        this.companyName = companyName;
    }


    public String getCreateTime() {        return createTime;    }

    public void setCreateTime(String createTime) {        this.createTime = createTime;    }

}
